
@import url('https://fonts.googleapis.com/css2?family=Tiny5&display=swap');


body {
  background-color: #076026;
  background-image: url('../images/bg_haie3.png');
	background-position: 0 0;
	background-repeat: repeat;
	background-size: auto;
	--bg-anim-duration: 30s;
	animation: bg-scroll var(--bg-anim-duration) linear infinite;
	will-change: background-position;
  font-size: 18px;
  font-family: "Tiny5", sans-serif;
  font-style: normal;
  color:#272111;
  margin: 0;
}

/* animation def */
@keyframes bg-scroll {
  from { background-position: 0 0; }
  to   { background-position: -1024px -1024px; }
}


blink {
  animation: blink 1s step-start infinite;
}

@keyframes blink {
  from {
    opacity: 1;
  }
  75% {
    opacity: 1;
  }
  100% {
    opacity:0;
  }
}

@keyframes bg-scroll {
  from { background-position: 0 0; }
  to   { background-position: -1024px -1024px; }
}

zoom{
  animation: zoominout 2s ease-in-out infinite;
  display: inline-block;
}

@keyframes zoominout {
    0%, 100% {
        transform: scale(1); 
        transform-origin: center center; 
        font-weight: bold; 
    }
    50% {
        transform: scale(1.2); 
        font-weight: bold; 
    }
}
rainbowtext {
  letter-spacing: 5px;
  animation: rainbowtext 1s linear 0s infinite;
}  

@keyframes rainbowtext {
    0% { color: red; }
    20% { color: orange; }
    40% { color: yellow; }
    60% { color: green; }
    80% { color: blue; }
    95% { color: purple; }
    100% { color: red; }
}
zoomandrainbow {
   display: inline-block; 
    vertical-align: middle; 
    will-change: transform; 
    font-weight: bold;
    animation-name: zoominout, rainbowtext;
    animation-duration: 2s, 10s;
    animation-timing-function: ease-in-out, linear;
    animation-iteration-count: infinite, infinite;
}

p {
  line-height: 1.6em;
}

hr {
  border: ridge #093f02;
  border-width: 4px 0 0 0;
}

img {
  max-width: 100%;
  height: auto;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}
.right {
  float: right;
  margin-left: 1em;
}
.left {
  float: left;
  margin-right: 1em;
}
.center {
  display: block;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}

.centerpage {
  display: block;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
  	align-items:center;
}

@media only screen and (min-width: 600px) {
  .small {
    max-width: 60%;
    height: auto;
  }
}
.caption {
  margin-top: 0;
  font-size: 0.9em;
  font-style: italic;
}

a:hover { 
  background-color: #89c985;
}

h1, h2, h3, h4, h5 {
  color: #1f4424;
}

#container {
  margin: 4em auto;
  width: 90%;
	max-width: 1400px;
	background: linear-gradient(to bottom right, #f1e3c9 0%,#f1e3c9 80%,#ac9c7e 100%);
  color: #272111; 
  outline-color: #50805e;
  outline-style: ridge;
  outline-width: 4px;
  outline-offset: 0;
  
}


#content {
  padding: 1px 5% 1px 5%;
}


/*HEADER STYLE*/
#header {
	background: linear-gradient(to bottom right, #50805e 0%,#2c5237 5%,#254e31 30%,#183420 100%);
  padding: 0 3%;
  position: relative;
  border-color: #50805e;
  border-style: ridge;
  border-width: 0 0 4px 0;
  font-size: 20px;
}

/* Icon to give a window-like feel */
#header::before {
  content: "*";
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url('../images/favicon.png');
  position: absolute;
  color: #ffffff00;
  top: 12px;
  left: 12px;
  padding: 0.1em 0.35em;
  border-radius: 2px;
  border-color: #50805e;
  border-style: ridge;
  border-width: 2px;
  font-size: 1.5em;
  line-height: 0.99;
  margin-right: 1.5em;
}
/* X to give a window-like feel */
#header::after {
width: 32px; 
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  content: url('../images/close.png');
  background: linear-gradient(135deg, #F1A689 0%,#C0442A 50%,#C2311E 100%); 
  background-repeat: no-repeat;
  background-size: 100% 100%;
  position: absolute;
  top: 12px;
  right: 12px;
  padding: 0.2em;
  border-radius: 2px;
  border-color: #50805e;
  border-style: ridge;
  border-width: 2px;
  font-size: 0.5em;
  line-height: 0.99;
  margin-left: 1.5em;
}
#header ul {
  list-style-type: none;
  padding: 0.4em 1em;
  margin: 0;
}
#header li {
  font-size: 1.2em;
  display: inline-block;
  margin-right: 1.5em;
  margin-bottom: 0.5em;
  margin-top: 0.2em;
}
#header li a {
  color: white;
  margin-left: 20px;
  text-decoration: none;
  background-color: inherit;
}
#header li a:hover {
  text-decoration: underline;
}

#footer {
  font-size: 0.8em;
  padding: 0 5% 10px 5%;
}

/*Pour mettre un elt à côté d'un autre*/
.imageflex {
  display: flex;
  justify-content: space-between;
  width: 100%;
  align-items: center; 
  grid-gap: 10px;
}

.imageflex table {
  width: 100%;
}

#main-wrapper {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 10px; 
    margin: 0 auto;
    max-width: 1400px; 
}
